This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 863569

Summary: Review Request: log4c - an application message logging library
Product: [Fedora] Fedora Reporter: František Dvořák <valtri>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: jmarrero, mario.blaettermann, notting, package-review, rdieter
Target Milestone: ---Flags: rdieter: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-27 22:53:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description František Dvořák 2012-10-05 16:14:07 EDT
Spec URL: http://scientific.zcu.cz/fedora/log4c-1.2.2-1/log4c.spec
SRPM URL: http://scientific.zcu.cz/fedora/log4c-1.2.2-1/log4c-1.2.2-1.fc19.src.rpm
Description: Log4c is a C language library for flexible logging to files, syslog and other destinations. It is modeled after the Log for Java library (log4j), staying as close to their API as is reasonable.
Fedora Account System Username: valtri

Additional notes:
- this package has already existed in Fedora 16 and then orphaned and removed
- this is the first package I'm submitting, so I would need a sponsor,
  this is part of work on EMI project (http://ei-emi.eu), I could contact
  Fedora Grid Computing SIG for sponsorship
- I'm log4c upstream maintainer
- koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4564084
Comment 1 Mario Blättermann 2012-10-05 17:53:32 EDT
$ rpmlint -i -v *
log4c.i686: I: checking
log4c.i686: W: spelling-error %description -l en_US syslog -> slog
The value of this tag appears to be misspelled. Please double-check.

log4c.i686: I: checking-url http://log4c.sourceforge.net/ (timeout 10 seconds)
log4c.src: I: checking
log4c.src: W: spelling-error %description -l en_US syslog -> slog
The value of this tag appears to be misspelled. Please double-check.

log4c.src: I: checking-url http://log4c.sourceforge.net/ (timeout 10 seconds)
log4c.src: I: checking-url http://downloads.sourceforge.net/log4c/log4c-1.2.2.tar.gz (timeout 10 seconds)
log4c.x86_64: I: checking
log4c.x86_64: W: spelling-error %description -l en_US syslog -> slog
The value of this tag appears to be misspelled. Please double-check.

log4c.x86_64: I: checking-url http://log4c.sourceforge.net/ (timeout 10 seconds)
log4c-debuginfo.i686: I: checking
log4c-debuginfo.i686: I: checking-url http://log4c.sourceforge.net/ (timeout 10 seconds)
log4c-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/log4c-1.2.2/src/sd/malloc.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

log4c-debuginfo.x86_64: I: checking
log4c-debuginfo.x86_64: I: checking-url http://log4c.sourceforge.net/ (timeout 10 seconds)
log4c-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/log4c-1.2.2/src/sd/malloc.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

log4c-devel.i686: I: checking
log4c-devel.i686: I: checking-url http://log4c.sourceforge.net/ (timeout 10 seconds)
log4c-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

log4c-devel.i686: W: no-manual-page-for-binary log4c-config
Each executable in standard binary directories should have a man page.

log4c-devel.x86_64: I: checking
log4c-devel.x86_64: I: checking-url http://log4c.sourceforge.net/ (timeout 10 seconds)
log4c-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

log4c-devel.x86_64: W: no-manual-page-for-binary log4c-config
Each executable in standard binary directories should have a man page.

log4c.spec: I: checking-url http://downloads.sourceforge.net/log4c/log4c-1.2.2.tar.gz (timeout 10 seconds)
7 packages and 1 specfiles checked; 2 errors, 7 warnings.


Adding manual pages or extra documentation is probably not up to you, that's why ignorable. The wrong FSF address should be reported to the upstream developers, but no further action is needed from your side.

The %defattr line is obsolete, even for EPEL 5. I assume there will be such a package, in view of BuildRoot, %clean and so on.

The summary and description for the -devel package are incorrect. There are no static files at all, and if this would be the case, they would have to go into a -static subpackage anyway. And we have no development documentation in the -devel package.

What about the log4c-config script in -devel? Shouldn't this go into the base package?
Comment 2 František Dvořák 2012-10-05 19:36:14 EDT
> 
> Adding manual pages or extra documentation is probably not up to you, that's
> why ignorable. The wrong FSF address should be reported to the upstream
> developers, but no further action is needed from your side.
> 

OK.

> The %defattr line is obsolete, even for EPEL 5. I assume there will be such
> a package, in view of BuildRoot, %clean and so on.
> 

%defattr removed.

> The summary and description for the -devel package are incorrect. There are
> no static files at all, and if this would be the case, they would have to go
> into a -static subpackage anyway. And we have no development documentation
> in the -devel package.
> 

Description corrected.

> What about the log4c-config script in -devel? Shouldn't this go into the
> base package?

No, I think it should be in the -devel. The -config file is used to get compilation flags for development with log4c and it is better not to install it without the log4c-devel package.

New URLs:

Spec URL: http://scientific.zcu.cz/fedora/log4c-1.2.2-1b/log4c.spec
SRPM URL: http://scientific.zcu.cz/fedora/log4c-1.2.2-1b/log4c-1.2.2-1.fc19.src.rpm
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4564782
Comment 3 Joseph Marrero 2012-11-28 07:29:27 EST
I could officially take this review, if still needed. It would be nice to have this ready before the official fedora 18 release.

Let me know.
Comment 4 František Dvořák 2012-11-28 09:38:25 EST
Absolutely. But I guess I will need to find a sponsor before the review? (I can't contact the sponsor for Fedora Grid Computing SIG so far.)
Comment 5 Rex Dieter 2012-11-28 10:00:59 EST
I can review/sponsor
Comment 6 Rex Dieter 2012-11-28 10:19:35 EST
$ rpmlint *.rpm
log4c.src: W: spelling-error %description -l en_US syslog -> slog
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

naming: ok

license: NOT ok

1.  MUST add license file
%doc COPYING
while, we're at it, may as well add
%doc AUTHORS ChangeLog README
as well

macros: ok

sources: ok
6dae664d3ce052ce8f99b249f094d152  log4c-1.2.2.tar.gz

builds/installs: ok


there's a few SHOULD items I'd like you to consider:

2.  SHOULD track library soname use
%{_libdir}/liblog4c.so.3*
instead of
%{_libdir}/liblog4c.so.*

3.  SHOULD drop deprecated items from .spec, if you're supporting fedora and/or rhel >=6, like
Group: tags
BuildRoot: tags
%defattr tags
%clean section
rm -rf %{buildroot} (from beginning of %install section)

4.  SHOULD drop from -devel:
Requires: automake

rpm -q -f /usr/share/aclocal
filesystem-3.1-2.fc18.x86_64

is already owned by filesystem package in recent versions of fedora
Comment 7 František Dvořák 2012-11-28 11:24:20 EST
Changes applied.

AUTHORS file has a non-UTF-8 character, I suggest it could fixed directly in upstream sources (for next release).

New URLs:

Spec URL: http://scientific.zcu.cz/fedora/log4c-1.2.2-1c/log4c.spec
SRPM URL: http://scientific.zcu.cz/fedora/log4c-1.2.2-1c/log4c-1.2.2-1.fc19.src.rpm
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4737887
Comment 8 Rex Dieter 2012-12-04 14:45:27 EST
Looks good, thanks.

APPROVED. 

I'll get you sponsored now, and you can move onto the scm request step of the process
Comment 9 František Dvořák 2012-12-04 15:54:34 EST
Package Change Request
======================
Package Name: log4c
New Branches: f18
Owners: valtri
InitialCC: valtri

The package resurrected in F18 and new review has been carried out here. The previous request was https://bugzilla.redhat.com/show_bug.cgi?id=479835 .
Comment 10 Jon Ciesla 2012-12-04 16:07:17 EST
Git done (by process-git-requests).
Comment 11 František Dvořák 2012-12-04 17:13:32 EST
Package Change Request
======================
Package Name: log4c
New Branches: devel

Can you give me access to the master branch too? It is orphaned now. (I'm not sure how to write it in the template.) Thank you.
Comment 12 Rex Dieter 2012-12-04 17:58:58 EST
According to,
http://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Deprecated_Package

that doing devel too should fix things up.
Comment 13 Jon Ciesla 2012-12-05 10:38:30 EST
Misformatted request.
Comment 14 František Dvořák 2012-12-05 13:58:25 EST
Package Change Request
======================
Package Name: log4c
New Branches: devel
Owners: valtri
InitialCC: valtri

Please grant me access to master branch (and/or assign ownership to me if the log4c is deprecated or orphaned).
Comment 15 Jon Ciesla 2012-12-05 14:43:41 EST
It's deprecated and should be re-reviewed.
Comment 16 Rex Dieter 2012-12-05 14:45:33 EST
Jon, *this* is the re-review. :)
Comment 17 Jon Ciesla 2012-12-05 14:47:50 EST
What, you want me to *read* bugs now?  Sheesh!  SOrry for the confusion. :)
Comment 18 František Dvořák 2012-12-08 10:04:26 EST
The file log4c-config is conflicting when installing both 32-bit and 64-bit version of log4c-devel. I'm adding this to %install section yet:

# munge log4c-config to prevent file conflicts on multilib systems,
# the default paths are not needed in the build flags anyway
sed -r -i \
       -e 's|^libdir=/usr/lib(64)?$|libdir=/usr/lib|' \
       -e 's|-L\$libdir ||' \
       -e 's|-I\$includedir ||' %{buildroot}%{_bindir}/log4c-config
Comment 19 Fedora Update System 2012-12-08 12:24:12 EST
log4c-1.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/log4c-1.2.2-2.fc18
Comment 20 Fedora Update System 2012-12-08 17:12:17 EST
log4c-1.2.2-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 21 Joseph Marrero 2012-12-17 23:08:37 EST
František Dvořák: any plan of pushing this into f17?
Comment 22 František Dvořák 2012-12-18 06:29:48 EST
Would you need it for f17? If there is demand for log4c in f17, we can push it.

I had no plans so far. log4c is needed as dependency for some upcoming gLite middleware components planned for f18 or later.
Comment 23 Joseph Marrero 2012-12-18 09:43:36 EST
It is a dep for the owncloud-client. It would be nice If f17 support so I can deliver the newest updates since the current verision needs log4c

thanks
Comment 24 František Dvořák 2012-12-18 09:54:38 EST
Package Change Request
======================
Package Name: log4c
New Branches: f17
Owners: valtri

Please add branch for f17, there will be packages depending on log4c.
Comment 25 Jon Ciesla 2012-12-18 10:17:51 EST
Git done (by process-git-requests).
Comment 26 Fedora Update System 2012-12-18 15:05:36 EST
log4c-1.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/log4c-1.2.2-2.fc17
Comment 27 Fedora Update System 2012-12-27 22:53:36 EST
log4c-1.2.2-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 28 Fedora Update System 2013-01-11 19:14:33 EST
log4c-1.2.2-2.fc18 has been pushed to the Fedora 18 stable repository.